import request from "@/utils/request"

/** 市场栏位 — 分页列表 */
export function listMarketStall(query) {
  return request({
    url: "/tradeMarket/marketStall/list",
    method: "get",
    params: query
  })
}

/** 详情 */
export function getMarketStall(id) {
  return request({
    url: "/tradeMarket/marketStall/" + id,
    method: "get"
  })
}

/** 新增 */
export function addMarketStall(data) {
  return request({
    url: "/tradeMarket/marketStall",
    method: "post",
    data
  })
}

/** 修改 */
export function updateMarketStall(data) {
  return request({
    url: "/tradeMarket/marketStall",
    method: "put",
    data
  })
}

/** 删除 */
export function delMarketStall(ids) {
  return request({
    url: "/tradeMarket/marketStall/" + ids,
    method: "delete"
  })
}
